Bug 517892 - vmware server console problems grabbing input
Summary: vmware server console problems grabbing input
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 17:49 UTC by Eric Paris
Modified: 2018-04-11 17:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-09 14:57:02 UTC


Attachments (Terms of Use)

Description Eric Paris 2009-08-17 17:49:49 UTC
I have no idea what to provide.  I'm running rawhide/F12 as of Aug 17.  Everything works perfectly in F11.

xorg-x11-server-Xorg-1.6.99-33.20090807.fc12.x86_64

I've installed vmware server on another (non-rawhide) machine.  When you connect to the web interface you can download and install a client which is capable of displaying the console of your virtual machine.  In F11 everything works fine, when I click inside the console it grabs the mouse and keyboard.  When you hit cntl+alt it releases the mouse and keyboard.

In F12 when you click inside the console it does not grab the mouse and keyboard.  It do not register any input.  If you hit cntl+G it will grab the input and things work.  When you hit cntl+alt to release keyboard from vmware's grasp the vmware console crashes (with some error messages) and you get the mouse and keyboard back.  BUT the shift and cntl keys no longer work.

Running xev shows that the key presses are still registering, but they don't do anything.  Logging out and back in appears to fix things.

I can help provide a vmware server and vm for you to connect to (although it's free to download from their web page) if that would help with debugging.  Please let me know any other information I can provide....

Comment 1 Matěj Cepl 2009-11-05 17:14:08 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 2 Bug Zapper 2009-11-16 11:30:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Chris Campbell 2009-12-09 14:09:29 UTC
Eric, since you reported this bug during rawhide/Fedora 12 beta, have you upgraded to the release version of Fedora 12?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Eric Paris 2009-12-09 14:57:02 UTC
I gave up on vmware when we provided superior technology in the distro.  I'll close.


Note You need to log in before you can comment on or make changes to this bug.